
import java.util.*;
import comprti.*;
import java.io.*;

/** 
*/
public class runWinCmd implements RTIComponent {
  String name = "runWinCmd";
  Process aProcess=null;
  RTIContext ctx;
  public runWinCmd() { }
  public void setContext(RTIContext cnt) { ctx=cnt;System.out.println(name+".setContext"); };
  public void created()     { System.out.println(name+".created"); };
  public void activated()   { 
    String separator = File.separator;
    String cmdLine=null;
    String cmd=(String)ctx.getProperties().get("exec");
    String crd=(String)ctx.getProperties().get("cdir");
    if(cmd!=null) {
      //start up the command
      if (separator.equals("/")) //UNIX
        cmdLine = "ls -al \n";
      else if (separator.equals("\\")) //WIN/NT wincmd
        cmdLine = "cmd.exe /C "+" wincmd "+(crd!=null?" -cdir "+crd:" ")+
                                           (cmd!=null?" -exec "+cmd:" ")+" \n";   //running dir on top of WIN/NT
        //cmdLine = "command.com /C "+" DIR "+dir; //running dir on top of DOS  
      System.out.println(name+".activated"+cmdLine); 
      try { 
       aProcess=Runtime.getRuntime().exec(cmdLine);
      } catch(IOException ioe) {}
    }// end of if
    System.out.println(name+".activated"); 
  };
  public void deactivated() { 
    if(aProcess!=null) { aProcess.destroy();aProcess=null;}
    System.out.println(name+".deactivated");
  }
  public void removed()     { System.out.println(name+".removed"); };

} /* end class app2 */
